安装

在安装 PowerJSON 官方 JavaScript、Node.js 解析器之前,你需要知道以下内容:

兼容性

PowerJSON JavaScript (运行在浏览器中) 解析器支持:

  • IE >= 11
  • Edge All
  • Firefox >= 6
  • Chrome >= 21
  • Safari >= 7.1
  • Opera >= 15

PowerJSON Node.js 解析器支持:

  • Node.js >= 6

版本

最新版本:1.0.0-alpha

JS 解析器安装

直接用 <script> 引入

直接下载并用 <script> 标签引入,PJSON 会被注册为一个全局变量。

现在就前往 Github 下载!

CDN

对于开发环境,你可以直接使用:

<script src="https://cdn.jsdelivr.net/npm/@powerjson/powerjson/index.js"></script>

来引入最新版的 PowerJSON JavaScript 解释器。

对于生产环境,我们则推荐链接到一个明确的版本号,以避免新版本造成的不可预期的破坏:

<script src="https://cdn.jsdelivr.net/npm/@powerjson/powerjson@version/index.js"></script>

NPM

在用 PowerJSON 构建大型应用时推荐使用 NPM 安装。NPM 能很好地和诸如 Webpack 或 Browserify 模块打包器配合使用。

$ npm install @powerjson/powerjson

前往 NPM 查看。